using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using DataStructures;

namespace Sentience
{
    public static class Defaults
    {
        public static Size DefaultMapSize = new Size(10, 10);

        public static int DefaultNodeSize = 17;
        public static int DefaultNodeSpacing = 2;
        public static Size DefaultNodeOffset = new Size(15, 15);

        public static Size MinMapSize = new Size(3, 3);
        public static Size MaxMapSize = new Size(20, 20);

        public static int MaxTeamSize = 10;
        public static int MaxTeams = 10;

        public static int MaxMovementSpeed = 21;

        public static float SpawnInvincibilityTime = 500.0f;

        public static float GraphLinearCost = DataStructures.Defaults.GraphLinearCost;
        public static float GraphDiagonalCost = DataStructures.Defaults.GraphDiagonalCost;

        public static Font DefaultFont = new Font(FontFamily.GenericSansSerif, 7f, FontStyle.Regular);

        public static Size DefaultEntitySize = new Size(DefaultNodeSize + 2, DefaultNodeSize + 2);
    }
}
